export interface Deque<T> {
    pushFront(element: T): void;
    pushBack(element: T): void;
    popFront(): T | undefined;
    popBack(): T | undefined;
    front(): T | undefined;
    back(): T | undefined;
    isEmpty(): boolean;
    size(): number;
    clear(): void;
}
export declare class Deque<T> implements Deque<T> {
    private items;
    constructor();
}
