export interface PriorityQueue<T> {
    push(element: T, priority: number): void;
    pop(): T | undefined;
    front(): T | undefined;
    isEmpty(): boolean;
    size(): number;
    clear(): void;
}
export declare class PriorityQueue<T> implements PriorityQueue<T> {
    private list;
    constructor();
}
