export interface Queue<T> {
    push(element: T): void;
    pop(): T | undefined;
    front(): T | undefined;
    isEmpty(): boolean;
    size(): number;
    clear(): void;
}
export declare class Queue<T> implements Queue<T> {
    private items;
    constructor();
}
