import { Comparator } from '../types';
export interface Set<T> {
    insert(element: T): void;
    insertList(elements: T[]): void;
    remove(element: T): void;
    find(element: T): boolean;
    forEach(callback: (element: T) => void): void;
    isEmpty(): boolean;
    size(): number;
    clear(): void;
}
export declare class Set<T> implements Set<T> {
    private bst;
    constructor(comparator?: Comparator<T>);
}
