export interface Stack<T> {
    push(element: T): void;
    pop(): T | undefined;
    top(): T | undefined;
    isEmpty(): boolean;
    size(): number;
    clear(): void;
}
export declare class Stack<T> implements Stack<T> {
    private items;
    constructor();
}
